be.vlaanderen.mercurius.mohm.common.v7

## Class ApplicationViewSupportAndRepairType

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.common.v7.ApplicationViewSupportAndRepairType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:49:36+01:00",
                 comments="JAXB RI v2.3.7")
      public class ApplicationViewSupportAndRepairType
      extends Object
      implements Serializable

  Generiek type voor het beeld van een actief budget onderhoud en herstel.

  Java class for ApplicationViewSupportAndRepairType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ApplicationViewSupportAndRepairType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="MobilityTool" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}SupportAndRepairViewMobilityToolType"/>
               <element name="SupportAndRepair" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}SupportAndRepairType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationViewSupportAndRepairType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SupportAndRepairViewMobilityToolType` | `getMobilityTool()` Gets the value of the mobilityTool property.
    `SupportAndRepairType` | `getSupportAndRepair()` Gets the value of the supportAndRepair property.
    `void` | `setMobilityTool(SupportAndRepairViewMobilityToolType value)` Sets the value of the mobilityTool property.
    `void` | `setSupportAndRepair(SupportAndRepairType value)` Sets the value of the supportAndRepair property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationViewSupportAndRepairType

          public ApplicationViewSupportAndRepairType()

  - ### Method Detail

    - #### getMobilityTool

          public SupportAndRepairViewMobilityToolType getMobilityTool()

      Gets the value of the mobilityTool property.
      Returns:
        possible object is `SupportAndRepairViewMobilityToolType`

    - #### setMobilityTool

          public void setMobilityTool(SupportAndRepairViewMobilityToolType value)

      Sets the value of the mobilityTool property.
      Parameters:
        `value` - allowed object is `SupportAndRepairViewMobilityToolType`

    - #### getSupportAndRepair

          public SupportAndRepairType getSupportAndRepair()

      Gets the value of the supportAndRepair property.
      Returns:
        possible object is `SupportAndRepairType`

    - #### setSupportAndRepair

          public void setSupportAndRepair(SupportAndRepairType value)

      Sets the value of the supportAndRepair property.
      Parameters:
        `value` - allowed object is `SupportAndRepairType`

Connector Packaging TRUSSMAKER 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.